2024-07-18 01:34 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006477SuperTennisChamps[All Projects] Generalpublic2024-06-13 08:06
ReporterRob Hawkins 
Assigned ToPsygoreProject InfoSuper Tennis Champs (Audiogenic)
http://www.whdload.de/games/SuperTennisChamps.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0006477: Hi, I hope you are okay. I was recommended to contact you via the EAB forum.
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.1 from 28.01.2005

Hi,
I hope you are okay.
I was recommended to contact you via the EAB forum.
Looking for a little help. It’s nothing critical but I’d really like to play Super Tennis Champs on my A1200. All other games via WHDload are working with no issues but when I try to run this both via WHDload and also an ADF via on my GOTEK the game gets as far as playing some title music but just has a black screen. I can continue to the game but sound only via random clicking!
I have an A1200 with a Tsunami 1230 card. I removed the card this morning and reverted to a basic 8mb memory card and still the same issue. I have also tested with no card and the same happened.
My machine has an Indivision AGA MK card to connect to HDMI screen. I decided to test without this via the Video port and an Amiga Kit adapter to my 19 inch Benq screen and the game works perfectly so it must be something to do with the Indvision AGA MK3.
One of the EAB replies I received is as follows:
“If I remember right, Indivision is using some registers from space $00dffxxx.
Normally these registers are unused.
Maybe this game using these registers accidentally or specially too?
If this is problem, you can ask WHDload slave author to removing these acceses.”
Is this something you can help me to resolve? I’d love to play this like all the other games with HDMI!
Look forward to hearing from you.
Regards
Rob
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem256 KB
FastMem0 MB
WorkbenchOS 3.2
KickROM47 - Kick 3.2
KickSoftNone
WHDLoad18.6
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0013711

Psygore (developer)

Thanks for your bug report.

Could you try the attached slave 1.2 with your Indivision AGA connected ?

Pls tell me if there is still a black screen or not.

note ~0013713

Rob Hawkins (reporter)

No trouble and thanks very much for getting back to me.

I have extracted the new slave from the LHA on my Amiga initially got the following error but then noticed it's just the file name of the new slave needed to be "SuprTennisChmps.slave". Once I'd renamed the file it fired up perfectly with my Indivison as you'll see from the image attached.

DOS-ERROR 205
(object not found)
on loading "SuperTennisChamps.slave"

Will this slave also work for the SuperTennisChamps&DataDisks or does that need a modification as well. It has the same black screen as this one did?

I know you are busy so to say I appreciate this is an understatement!

Cheers - Rob

note ~0013717

Psygore (developer)

Thanks for your feedback.

Yes, you can rename the slave as you want. The new name in the tooltypes icon (SLAVE=newname.slave) must be modified too.

The data disks work too with the new slave 1.2, no need a modification.

note ~0013719

retrogamer (reporter)

Is it possible to reduce chipram usage fron 768 KiB to 512 KiB?

note ~0013720

Rob Hawkins (reporter)

Thanks and I have now tested version 1.2 including the version with Data Disks and I find the following for my two initial issues logged:

Indivision Display Problem:

- This is fixed for me in version 1.2

Save Game Corrupted My CF Hard Drive:

- I can now save the game using v1.2 on both regular and data disk versions.

Quick question when I save a game now the screen does flash a lot and is punctuated with partial clips of the menu sound. Is this expected behaviour?

Thanks once again for all the help so far.

note ~0013736

Psygore (developer)

Yes, the flash screen happens when it goes back to the system for creating/saving new files.

note ~0013737

Rob Hawkins (reporter)

Thanks for letting me know it’s normal behaviour.

note ~0013740

Psygore (developer)

Attached a new slave, it will use 512kb chipram instead of 768kb.

note ~0013741

Rob Hawkins (reporter)

Thanks. A newbie couple of questions if you don’t mind:

Given I have extra memory in my machine do I need this version?

Is this applicable for the version with data disks as well?

Have a good weekend.

note ~0013742

retrogamer (reporter)

Thanks for the 512kb Slave Psygore.

Game manual attached please include for next update.

note ~0013776

Psygore (developer)

The game doesn't like real fastmem, some stuff is relocated in chipmem.

The slave uses 512kb of chipmem, it means that it can run on any amiga equiped with 512kb of chip memory now.

You don't need this version but it's better :)
All data version can be installed with it.

note ~0013777

Psygore (developer)

New install package available on whdload.de
+Notes

-Issue History
Date Modified Username Field Change
2024-05-05 15:14 administrator New Issue
2024-05-05 15:14 administrator Status new => assigned
2024-05-05 15:14 administrator Assigned To => Psygore
2024-05-23 09:45 Psygore File Added: SuperTennisChamps12.lha
2024-05-23 09:49 Psygore Note Added: 0013711
2024-05-23 16:16 Rob Hawkins File Added: working.jpeg
2024-05-23 16:16 Rob Hawkins Note Added: 0013713
2024-05-25 09:09 Psygore Note Added: 0013717
2024-05-25 17:57 retrogamer Note Added: 0013719
2024-05-25 18:10 Rob Hawkins Note Added: 0013720
2024-05-30 19:20 Psygore Note Added: 0013736
2024-05-30 19:59 Rob Hawkins Note Added: 0013737
2024-05-31 11:58 Psygore File Deleted: SuperTennisChamps12.lha
2024-05-31 11:58 Psygore File Added: SuperTennisChamps12.lha
2024-05-31 12:00 Psygore Note Added: 0013740
2024-06-01 08:31 Rob Hawkins Note Added: 0013741
2024-06-01 17:16 retrogamer File Added: Manual.zip
2024-06-01 17:19 retrogamer Note Added: 0013742
2024-06-13 08:05 Psygore Note Added: 0013776
2024-06-13 08:06 Psygore Status assigned => resolved
2024-06-13 08:06 Psygore Resolution open => fixed
2024-06-13 08:06 Psygore Note Added: 0013777
+Issue History